# NinetyEight.NEShopItem

## Struct NEShopItem <a href="#ninetyeight_neshopitem" id="ninetyeight_neshopitem"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Represents an item available for purchase in the shop.\
Includes duration, amount, code, and type.

```csharp
[Serializable]
public struct NEShopItem
```

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### duration <a href="#ninetyeight_neshopitem_duration" id="ninetyeight_neshopitem_duration"></a>

Duration of the item (e.g., in seconds).

```csharp
public int duration
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### itemAmount <a href="#ninetyeight_neshopitem_itemamount" id="ninetyeight_neshopitem_itemamount"></a>

Amount of the item available for purchase.

```csharp
public int itemAmount
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### itemCode <a href="#ninetyeight_neshopitem_itemcode" id="ninetyeight_neshopitem_itemcode"></a>

Unique code identifying the item.

```csharp
public string itemCode
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### type <a href="#ninetyeight_neshopitem_type" id="ninetyeight_neshopitem_type"></a>

Type or category of the item.

```csharp
public string type
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neshopitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
